#ifndef LIB_OBJFILECACHE_H
#define LIB_OBJFILECACHE_H

#include <vector>
#include "lib/objfile.h"

class ObjFileCache {
	void reset();
public:
	ObjFileCache() {reset();}
	~ObjFileCache() {shutdown();}

	void shutdown();

	std::vector<ObjFile *> objFiles;

	ObjFile *load(const char *fn, bool genEdges = false);
};

#endif
